<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.ids.mapper.AccessAlarmMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.ids.domain.AccessAlarm">
        <id column="alarm_id" property="alarmId" />
        <result column="alarm_level" property="alarmLevel" />
        <result column="alarm_details" property="alarmDetails" />
        <result column="alarm_location" property="alarmLocation" />
        <result column="region_index_code" property="regionIndexCode" />
        <result column="camera_name" property="cameraName" />
        <result column="camera_index_code" property="cameraIndexCode" />
        <result column="alarm_source_algorithm_type" property="alarmSourceAlgorithmType" />
        <result column="alarm_photo" property="alarmPhoto" />
        <result column="alarm_video" property="alarmVideo" />
        <result column="alarm_type" property="alarmType" />
        <result column="alarm_status" property="alarmStatus" />
        <result column="process_time" property="processTime" />
        <result column="congestion_level" property="congestionLevel" />
        <result column="alarm_time" property="alarmTime" />
        <result column="clean_alarm_time" property="cleanAlarmTime" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
        <result column="remark" property="remark" />
        <result column="read_status" property="readStatus" />
        <result column="read_time" property="readTime" />
    </resultMap>

</mapper>
